Failing Ubuntu 14.04 Build


(Joe Bell) #1

Howdy.

I've been looking at a build failure the past few days and haven't made
heads or tails of what's going on. This is only occurring on the 14.04
build (15.10 passes), and it's occurring with the REPL integration test:

build/buildbot_linux/none-swift_package_sandbox/usr/bin/swift
Welcome to Swift version 3.0-dev (LLVM 752e1430fc, Clang 3987718dae, Swift
8e439904e2). Type :help for assistance.
  1> import Glibc
error: repl.swift:1:8: error: missing required module 'SwiftGlibc'
import Glibc
       ^

At first I thought I needed to do a clean build, then when that didn't work
I built a brand new 14.04 VM and cleanroom built with only those apt-get
installs necessary. Has anyone built Swift from the ground up lately on
14.04 using the buildbot_linux preset? I kick things off with:

#!/bin/bash
pushd `dirname $0` > /dev/null
WHERE_I_AM=`pwd`
popd > /dev/null
INSTALL_DIR=${WHERE_I_AM}/install
PACKAGE=${WHERE_I_AM}/swift.tar.gz
LSB_RELEASE=`lsb_release -rs | tr -d .`
rm -rf $INSTALL_DIR $PACKAGE
./swift/utils/build-script --preset=buildbot_linux_${LSB_RELEASE}
install_destdir=${INSTALL_DIR} installable_package=${PACKAGE}

Joe

···

---
http://dev.iachieved.it/iachievedit/
@iachievedit


(Joe Bell) #2

Accidentally (I believe) posted to swift-build-dev.

I do indeed see the error on 15.10 as well now with "missing required
module 'SwiftGblic'", for whatever reason the swift binary being built
cannot do a simple 'import Glibc' without this error coming out:

Welcome to Swift version 3.0-dev (LLVM 752e1430fc, Clang 3987718dae, Swift
de4868a72f). Type :help for assistance.
  1> import Glibc
error: repl.swift:1:8: error: missing required module 'SwiftGlibc'
import Glibc

···

On Fri, Apr 8, 2016 at 10:18 AM, Joseph Bell <joe@iachieved.it> wrote:

Howdy.

I've been looking at a build failure the past few days and haven't made
heads or tails of what's going on. This is only occurring on the 14.04
build (15.10 passes), and it's occurring with the REPL integration test:

build/buildbot_linux/none-swift_package_sandbox/usr/bin/swift
Welcome to Swift version 3.0-dev (LLVM 752e1430fc, Clang 3987718dae, Swift
8e439904e2). Type :help for assistance.
  1> import Glibc
error: repl.swift:1:8: error: missing required module 'SwiftGlibc'
import Glibc
       ^

At first I thought I needed to do a clean build, then when that didn't
work I built a brand new 14.04 VM and cleanroom built with only those
apt-get installs necessary. Has anyone built Swift from the ground up
lately on 14.04 using the buildbot_linux preset? I kick things off with:

#!/bin/bash
pushd `dirname $0` > /dev/null
WHERE_I_AM=`pwd`
popd > /dev/null
INSTALL_DIR=${WHERE_I_AM}/install
PACKAGE=${WHERE_I_AM}/swift.tar.gz
LSB_RELEASE=`lsb_release -rs | tr -d .`
rm -rf $INSTALL_DIR $PACKAGE
./swift/utils/build-script --preset=buildbot_linux_${LSB_RELEASE}
install_destdir=${INSTALL_DIR} installable_package=${PACKAGE}

Joe

---
http://dev.iachieved.it/iachievedit/
@iachievedit

--
---
http://dev.iachieved.it/iachievedit/
@iachievedit